Subject: Guix System's initrd doesn't honor rootflags
From: [email-masked]
To: bug-guix <[email-masked]>
Date: Fri, 01 May 2020 09:53:11 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Which means users cannot pass a 'rootflags=degraded' command line option
to the kernel line in GRUB to attempt booting a system whose RAID array
is degraded.

rootflags is standard across distributions, and is what users expect.

Such support was added in earlier version of the patches proposed here:
https://issues.guix.gnu.org/37305#0 but is later simplified out.

Maxim